Get Cost Rate Energy Costs -------------------------- Retrieve the **energy cost intervals** for a cost rate. If the cost rate uses dynamic pricing schedules, energy costs can be retrieved for a specific schedule by providing ``cost_rate_schedule_uuid``. **Request** - Method: ``GET`` - Path: ``/api/dynamic_pricing/cost_rate_energy_cost/{cost_rate_uuid}`` **Path parameters** .. list-table:: :widths: 25 15 60 :header-rows: 1 * - Name - Type - Description * - cost_rate_uuid - string - UUID of the cost rate. **Query parameters** Optional: .. list-table:: :widths: 25 15 60 :header-rows: 1 * - Name - Type - Description * - cost_rate_schedule_uuid - string|null - UUID of the schedule configuration (recurring or unique pricing config). **Example request (without schedule)** .. code-block:: bash curl --location --request GET \ 'https://example.beenergised.cloud/api/dynamic_pricing/cost_rate_energy_cost/' \ --header 'x-api-token: ' **Example request (with schedule)** .. code-block:: bash curl --location --request GET \ 'https://example.beenergised.cloud/api/dynamic_pricing/cost_rate_energy_cost/?cost_rate_schedule_uuid=' \ --header 'x-api-token: ' **Response (200)** .. code-block:: json { "data": [ { "uuid": "29ccce27-3a3a-4308-831a-ed68b460e3bf", "unit": 1, "price": "0.25" } ] } **Error responses** - ``404``: Cost rate not found. .. code-block:: json { "status": "error", "message": "Cost rate not found" } - ``404``: Schedule not found. .. code-block:: json { "status": "error", "message": "Schedule not found" } - ``500``: Generic server error. .. code-block:: json { "status": "error", "message": "Internal Server Error" }